Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet.xml
Class SaxPortlet

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.xml.SaxPortlet

All Implemented Interfaces:
  Portlet

public abstract class SaxPortlet
extends java.lang.Object
implements Portlet

The `SaxPortlet` is an abstract implementation of the `Portlet` that enables the use of SAX events to be sent as the response.

Author:
  Thomas F. Boehme
See Also:
  `SaxPortletRequest`, `SaxPortletResponse`

Nested Class Summary

Nested classes inherited from class org.apache.jetspeed.portlet.Portlet
`Portlet.Mode`

Constructor Summary
`SaxPortlet()`

Method Summary
`void` | `service(PortletRequest request, PortletResponse response)` Called by the portlet container to ask this portlet to generate its markup using the given request/response pair.
`abstract void` | `service(SaxPortletRequest request, SaxPortletResponse response)` This portlet maps the original `service()` call to this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jetspeed.portlet.Portlet
`destroy, init, login, logout`

Constructor Detail

### SaxPortlet

    public SaxPortlet()

Method Detail

### service

    public final void service(PortletRequest request,
                              PortletResponse response)
                       throws PortletException,
                              java.io.IOException

  Description copied from interface: `Portlet`
  Called by the portlet container to ask this portlet to generate its markup using the given request/response pair. Depending on the mode of the portlet and the requesting client device, the markup will be different. Also, the portlet can take language preferences and/or personalized settings into account.

  Specified by:
    `service` in interface `Portlet`
  Parameters:
    `request` - the portlet request
    `response` - the portlet response
  Throws:
    `PortletException` - if the portlet has trouble fulfilling the rendering request
    `java.io.IOException` - if the streaming causes an I/O problem

### service

    public abstract void service(SaxPortletRequest request,
                                 SaxPortletResponse response)
                          throws PortletException,
                                 java.io.IOException

  This portlet maps the original `service()` call to this method. With the derived response, the two SAX handlers are accessible for sending SAX events as the response.

  Parameters:
    `request` - the stream portlet request
    `response` - the stream portlet response
    `PortletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.